Description

With Redmine 0.7.3 (MySQL), changing the text_field to a text_area in views/timelog/edit.rhtml for comments field was simple, .. but

it is proving impossible to make a similar change with Redmine 4.2.1.stable.

Given that it is MUCH easier to edit the comment for a time entry with a text_area instead of a scrolling line on the screen - how

could this be accomplished?

History

#1 - 2021-10-14 20:56 - L. V. Lammert

Redmine 0.7.3 (MySQL)

---------------------

app/views/timelog/edit.rhtml:

<p><%= f.text_field :comments, :size => 1024 %></p>

to:

<p><%= f.text_area :comments, :size => "60x4" %></p>

Worked!

Redmine 4.2.1.stable

--------------------

app/views/timelog/bulk_edit.html.erb:

<%= text_field(:time_entry, :comments, :size => 100, :value => @time_entry_params[:comments]) %>

to:

<%= text_area(:time_entry, :comments, :cols => 60, :rows => 5, :value => @time_entry_params[:comments]) %>

app/views/timelog/_form.html.erb:

<p><%= f.text_field :comments, :size => 100, :maxlength => 1024, :required => Setting.timelog_required_fields.include?('comments') %></p>

to:

<p><%= f.text_area :comments, :cols => 60, :rows => size => 100, :maxlength => 1024, :required =>

Setting.timelog_required_fields.include?('comments') %></p>

No change.

#2 - 2021-10-14 23:49 - L. V. Lammert

- Status changed from New to Resolved

Found the problem - when the container starts, the current image is cached, so any change does not take effect until restart. Committing the change

to a different image and restarting now shows the changes.

#3 - 2021-10-15 01:44 - Go MAEDA

- Status changed from Resolved to Closed
- Resolution set to Invalid

Thank you for your feedback. Closing this issue.
